LVMETAD(8)

NAME
lvmetad — LVM metadata cache daemon

SYNOPSIS
lvmetad [-l {all|wire|debug}] [-p pidfile_path] [-s socket_path] [-f] [-h] [-V] [-?]

DESCRIPTION
lvmetad is a metadata caching daemon for LVM. The daemon receives notifications from udev rules (which must be installed for LVM to work correctly when lvmetad is in use). Through these notifications, lvmetad has an up-to-date and consistent image of the volume groups available in the system. lvmetad is used by LVM only if it is enabled in lvm.conf(5) by specifying the global/use_lvmetad setting. If this is not defined in the LVM configuration explicitly then default setting is used instead (see the output of lvm dumpconfig --type default global/use_lvmetad command).

OPTIONS
To run the daemon in a test environment both the pidfile_path and the socket_path should be changed from the defaults.

-f  Don't fork, but run in the foreground.

-h, -?
    Show help information.

-l {all|wire|debug}
    Select the type of log messages to generate. Messages are logged by syslog. Additionally, when -f is given they are also sent to standard error. Since release 2.02.98, there are two classes of messages: wire and debug. Selecting 'all' supplies both and is equivalent to a comma-separated list -l wire,debug. Prior to release 2.02.98, repeating -d from 1 to 3 times, viz. -d, -dd, -ddd, increased the detail of messages.

-p pidfile_path
    Path to the pidfile. This overrides both the built-in default (#DEFAULT_PID_DIR#/lvmetad.pid) and the environment variable LVM_LVMETAD_PIDFILE. This file is used to prevent more than one instance of the daemon running simultaneously.

-s socket_path
    Path to the socket file. This overrides both the built-in default (#DEFAULT_RUN_DIR#/lvmetad.socket) and the environment variable LVM_LVMETAD_SOCKET. To communicate successfully with lvmetad, all LVM2 processes should use the same socket path.

-V  Display the version of lvmetad daemon.

ENVIRONMENT VARIABLES

LVM_LVMETAD_PIDFILE
    Path for the pid file.

LVM_LVMETAD_SOCKET
    Path for the socket file.

SEE ALSO
lvm(8), lvm.conf(5)